slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDSetDS

Associates a direct solver object to the singular value solver.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetDS(SVD svd,DS ds)

Collective

### Input Parameters

| svd | - singular value solver context obtained from SVDCreate()
| ds | - the direct solver object

### Note

Use SVDGetDS() to retrieve the direct solver context (for example, to free it at the end of the computations).

### See Also

SVDGetDS()

### Level

advanced

### Location

src/svd/interface/svdbasic.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages